### Function

# GLib CopyFunc

since: 2.4

#### Declaration

    gpointer
    (* GCopyFunc) (
      gconstpointer src,
      gpointer data
    )

#### Description [src]

A function of this signature is used to copy the node data when doing a deep-copy of a tree.

Available since: 2.4

#### Parameters

`src`

  Type: `gconstpointer`

  A pointer to the data which should be copied.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  Additional data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gpointer`

A pointer to the copy.

The data is owned by the called function.